---
myst:
  html_meta:
    "description": "Effective Volto"
    "property=og:description": "Effective Volto"
    "property=og:title": "Effective Volto"
    "keywords": "Plone, Volto, Training"
---

(effective-volto-label)=

# Effective Volto

*Effective Volto* is intended as a training to learn proven practices of Plone 6 Volto frontend development.
It's both an online course and a sketch for an on-the-spot training.

The goal of this training is to provide a comprehensive overview of Volto to developers that still don’t have enough confidence to start a client project with Volto. Because of the huge amount of knowledge and variety of the content covered, it is less a "hands-on training" and more of a "show and tell". We present concepts, explain how things work and leave it to the participants to put all this in practice.

The training will cover essential concepts, as well as good practices and notions of how Volto works under the hood.
Tips and tricks will be also covered, providing a good amount of insights for those who want to learn more beyond the Volto basics.

This training is intended for an intermediate audience that already has some contact with Volto and tried it out, or has a decent amount of experience with it. Even experienced Volto developers will find this training useful, as less known areas of Volto are exposed.

```{toctree}
---
caption: Effective Volto
name: toc-effective-volto
maxdepth: 3
---

about_effective_volto
getting-started
architecture
backend
addons
testing
deployment
development
```

Please note that this document is *not complete* without the spoken word of a trainer.

We attempt to include the most important parts of what we teach in the training.
But reading it here can not be considered equal to attending a training.
