---
myst:
  html_meta:
    "description": "Plone Training"
    "property=og:description": "Plone Training"
    "property=og:title": "Plone Training"
    "keywords": "Plone, Training"
---

# Plone Training

A collection of trainings developed and created by the Plone community.

```{toctree}
:caption: Trainings
:maxdepth: 2
:hidden: true

mastering-plone/index
mastering-plone-5/index
voltohandson/index
voltoaddons/index
volto_customization/index
effective-volto/index
testing/index
theming/index
plone-deployment/index
workflow/index
migrations/index
```

```{toctree}
:caption: Info
:maxdepth: 1
:hidden: true

glossary
contributing/index
teaching/index
```


## Development and Customization

{ref}`mastering-plone-label`

: `Mastering Plone 6 development training` teaches the best practices of Plone development.

{ref}`mastering-plone5-label`

: `Mastering Plone 5 development training` is the predecessor of the Plone 6 version. It includes also `Plone Classic` topics like viewlets, views, portlets, etc..

{doc}`testing/index`

: Best practices for testing Plone add-ons.


## Volto, React, and Javascript

{doc}`voltohandson/index`

: Learn how to quickly bootstrap and customize a Volto project

{doc}`voltoaddons/index`

: Build custom Volto add-ons, explore more advanced Volto topics.

{doc}`volto_customization/index`

: Are you new to JavaScript development and eager to explore the world of Volto customization? Unlock the power of Volto, the modern React-based CMS framework for Plone, by joining our comprehensive half day training designed specifically for JavaScript beginners.

{doc}`effective-volto/index`

: Learn proven practices of Plone frontend development.
  The training covers essential concepts, as well as good practices and notions of how Volto works under the hood.
  Tips and tricks are also covered, providing a good amount of insights for those who want to learn more beyond the Volto basics.
  Training for intermediate/advanced developers.

[Use, Integrate and develop Patterns for Plone 6 Classic](https://patternslib.github.io/patternslib-training)

: Use, create and integrate JavaScript functionality based on [Patternslib](https://patternslib.com/) into Plone 6.


## Theming

{doc}`theming/index`

: Theming Plone 6 Classic UI


## Deployment

{doc}`plone-deployment/index`

: Deploying Plone 6 for production purposes with Ansible and Docker


## Other

{doc}`workflow/index`

: How to create and make optimum use of custom Plone workflows

{doc}`migrations/index`

: Upgrading and migrating Plone sites using `collective.exportimport` and other methods.

{doc}`contributing/index`

: All about contributing to documentation

{doc}`teaching/index`

: How To Give Technical Trainings


## Archived trainings

Beginning in 2022, after every Plone Conference, we take a snapshot and archive trainings conducted at the conference.
Because we began this practice in 2022, all previous trainings that have documentation were archived.


### 2022

#### Development and Customization

-   [Through-The-Web Plone Customization](https://2022.training.plone.org/ttw/index.html)


#### Volto, React, and Javascript

-   [Volto](https://2022.training.plone.org/volto/index.html)
-   [Angular SDK for Plone](https://2022.training.plone.org/angular/index.html)
-   [GatsbyJS](https://2022.training.plone.org/gatsby/index.html)
-   [JavaScript For Plone Developers (up to Plone 5)](https://2022.training.plone.org/javascript/index.html)
-   [React](https://2022.training.plone.org/react/index.html)

#### Theming

-   [Plone 5 Theming](https://2022.training.plone.org/theming_plone_5/index.html)


#### Deployment

-   [Deploying and Operating Plone on WSGI](https://2022.training.plone.org/wsgi/index.html)
-   [Automating Plone Deployment](https://2022.training.plone.org/deployment/index.html)
-   [Plone Deployments With Amazon OpsWorks](https://2022.training.plone.org/deployment/opsworks/index.html)


#### Other

-   [Build your own webframework from scratch](https://2022.training.plone.org/advanced-python/index.html)
-   [Migrating Content with Transmogrifier](https://2022.training.plone.org/transmogrifier/index.html)
-   [Plone Training Solr](https://2022.training.plone.org/solr/index.html)
