---
myst:
  html_meta:
    "description": ""
    "property=og:description": ""
    "property=og:title": ""
    "keywords": ""
---

(plone5-about-mastering-label)=

# About Mastering Plone

This training was initially created by Philip Bauer and Patrick Gerken of [starzel.de](https://www.starzel.de) to create
a canonical training for future Plone developers.

The aim is that anyone with the appropriate knowledge can give a training based on it and contribute to it.
It is published as Open Source on [GitHub](https://github.com/plone/training) and {doc}`index`.

If you want to inquire the original authors about organizing a training please contact them at <mailto:team@starzel.de>.

(plone5-about-upcoming-label)=

## Upcoming Trainings

- [Plone Conference 2021 Online](https://2021.ploneconf.org/)

If you want to have a training near you please ask for trainings on <https://community.plone.org>

(plone5-about-previous-label)=

## Previous Trainings

The Mastering Plone Training was so far held publicly at the following occasions:

- [Plone Conference 2020 Online](https://2020.ploneconf.org/)
- [Plone Conference 2019 in Ferrara](https://2019.ploneconf.org/)
- [Plone Conference 2018 in Tokyo](https://2018.ploneconf.org/)
- [August 2018, Munich](https://plone.org/news-and-events/events/community/mastering-plone-training-in-munich)
- [Plone Conference 2017 in Barcelona](https://2017.ploneconf.org/)
- [Plone Conference 2016 in Boston](https://2016.ploneconf.org/)
- [Plone Conference 2015, Bucharest](https://2015.ploneconf.org/)
- [March 2015, Munich](https://www.starzel.de/blog/mastering-plone-training-march-2015)
- Plone Conference 2014, Bristol
- [June 2014, Caracas](https://twitter.com/hellfish2/status/476906131970068480)
- [May 2014, Munich](https://www.starzel.de/blog/mastering-plone)
- [PythonBrasil/Plone Conference 2013, Brasilia](http://2013.pythonbrasil.org.br/)
- PyCon DE 2012, Leipzig
- Plone Conference 2012, Arnheim
- PyCon De 2011, Leipzig

(plone5-about-trainers-label)=

## Trainers

The following trainers have given trainings based on Mastering Plone:

Philip Bauer

: Philip Bauer is a web developer from Munich who fell in love with Plone in 2005 and since then works almost exclusively with Plone.
  A historian by education he drifted towards creating websites in the 90's and founded the company [Starzel.de](https://www.starzel.de/) in 2000.
  He is a member of the Plone foundation, loves teaching and is dedicated to Open Source.
  Among other Plone-related projects he started creating the Mastering Plone Training so that everyone can become a Plone-Developer.

Patrick Gerken

: Patrick Gerken works with Python since 2002.
  He started working with pure Zope applications and now develops mainly with Plone, Pyramid and JavaScript as well as doing what is called DevOps.
  He works at Zumtobel Group.

Steve McMahon

: Steve McMahon is a long-time Plone community member, contributor and trainer.
  He is the creator of PloneFormGen and maintainer of the Unified installer.
  Steve also wrote several chapters of Practical Plone and is an experienced speaker and instructor.

Steffen Lindner

: Steffen Lindner started developing Plone in 2006.
  He worked on small Plone sites and also with huge intranet sites.
  As Open Source / Free Software developer he joined the Plone core developer team 2011 and works at https://www.starzel.de/.

Fulvio Casali

: Fulvio Casali has been working almost exclusively with Plone since 2008.
  He struggled for years to find his way around the source code of Plone when there was no documentation and no trainings,
  and feels passionate about helping users and developers become proficient.

  He loves participating in Plone community events, and organized two strategic Plone sprints on the northwest coast
  of the USA and helped galvanized the developer community there.

Johannes Raggam

: Johannes Raggam from Graz/Austria works most of the time with a technology stack based around Python, Plone, Pyramid and JavaScript.
  As an active Open Source / Free Software developer he believes in the power of collaborative work.

  He is a BlueDynamics Alliance Partner and Plone Core Contributor since 2009, a member of the Plone Framework Team since 2012 and Plone Foundation member.

Franco Pellegrini

: Franco Pellegrini is a software developer from Cordoba, Argentina.
  He started developing Plone in 2005 in a small software company, and as an independent contractor since 2011.
  He believes in free software philosophy, and so, he has been a Plone core developer since 2010 and Framework Team member since 2012.

Fred van Dijk

: Fred, from Rotterdam the Netherlands, has been exposed to Plone early on as a user.
  In 2007 he joined Zest Software to work on and with Plone and Python web apps full time.

  He can focus on the business side, helping users decide on which features are most valuable to develop or when to stick with standard functionality. He also gives training on using and administering the CMS.
  On the IT side he has plenty technical knowledge to work on code, system administration and do project management in a team of developers.

Leonardo Caballero

: Leonardo J. Caballero G. of Maracaibo, Venezuela, is a Technical Director at Covantec R.L. and Conectivo C.A.
  Leonardo maintains the Spanish translations of more than 49 Plone Add-ons as well as Spanish-language documentation for Plone itself.

  He has contributed several Plone Add-ons that are part of PloneGov.
  Currently serving the Plone Board as a Plone Ambassador, Leonardo has also served as an Advisory Board member
  and has spoken at or helped organize Plone and open-source events throughout South America.


(plone5-about-licence-label)=

## License

The Mastering Plone Training is licensed under a [Creative Commons Attribution 4.0 International License](https://creativecommons.org/licenses/by/4.0/).


(plone5-about-use-label)=

## Using the documentation for a training

See the information for {doc}`teaching</teaching/index>`.


## Contributing

Everyone is **very welcome** to contribute. See the information for {doc}`contributing</contributing/index>`.
