---
myst:
  html_meta:
    "description": "What to expect. Trainings on site. Training videos."
    "property=og:description": "What to expect. Trainings on site. Training videos."
    "property=og:title": "About Mastering Plone development"
    "keywords": "Plone, training, develop"
---

(about-mastering-label)=

# About Mastering Plone development

The *Mastering Plone Development* training is both: an online training and a handout for on-site trainings.  
We address developers.
You are interested in best practice guides and want to learn the why and where, so read on!

## The beginning and the continuation

This training was initially started as a Plone Classic training and evolved now to a roundtrip on both: Plone backend, React frontend and the interplay between backend and frontend.

This training is published on [training.plone.org](https://training.plone.org/).

We update the training ongoing to teach the best practices.
You are welcome to contribute and give feedback on [GitHub issues](https://github.com/plone/training/issues).

Thank you for reading and your charity with non-native English speakers / writers.


(about-upcoming-label)=

## Upcoming Trainings

Next Plone Conference, usually in October.
Announced on [plone.org](https://plone.org)

If you want to have an on-site training or want to attend a public training, please ask for trainings on [community.plone.org](https://community.plone.org) or one of the {ref}`trainers<about-trainers-label>`.


(video-label)=

## Watch the Training Video

At Ploneconf 2021 the Mastering Plone Development Training was recorded.
It is a shortened version of the training, given by Philip Bauer and Katja Süss.

[Part 1 – Mastering Plone Development Training](https://www.youtube.com/watch?v=Jzuw3uWtzzI)  
[Part 2 – Mastering Plone Development Training](https://www.youtube.com/watch?v=IEcGKzo3PO0)  


(about-trainers-label)=

## Trainers

The following trainers have given trainings based on Mastering Plone development:

Philip Bauer

: Philip Bauer is a web developer from Munich who fell in love with Plone in 2005 and since then works almost exclusively with Plone.
  A historian by education he drifted towards creating websites in the 90's and founded the company [Starzel](https://www.starzel.de/) in 2000.
  He is a member of the Plone foundation, loves teaching and is dedicated to Open Source.
  Among other Plone related projects he started creating the Mastering Plone Development training so that everyone can become a Plone developer.

Katja Süss

: If not gardening she is developing with Python, Svelte and ReactJS.
  Katja is active member of teams Volto, documentation and training.
  She lifted the Plone Classic Training to Plone 6.  
  With a background in mathematical logic she turned towards web development and runs the web agency [Rohberg](https://rohberg.ch/) in Zurich.
  She dedicates herself especially to enthralling user experience and search assistance.

Patrick Gerken

: Patrick Gerken works with Python since 2002.
  He started working with pure Zope applications and now develops mainly with Plone, Pyramid and JavaScript as well as doing what is called DevOps.
  He works at Zumtobel Group.

Steve McMahon

: Steve McMahon is a long-time Plone community member, contributor and trainer.
  He is the creator of PloneFormGen and maintainer of the Unified installer.
  Steve also wrote several chapters of Practical Plone and is an experienced speaker and instructor.

Steffen Lindner

: Steffen Lindner started developing Plone in 2006.
  He worked on small Plone sites and also with huge intranet sites.
  As Open Source / Free Software developer he joined the Plone core developer team 2011 and works at [Starzel](https://www.starzel.de/).

Fulvio Casali

: Fulvio Casali has been working almost exclusively with Plone since 2008.
  He struggled for years to find his way around the source code of Plone when there was no documentation and no trainings,
  and feels passionate about helping users and developers become proficient.

  He loves participating in Plone community events, and organized two strategic Plone sprints on the northwest coast
  of the USA and helped galvanized the developer community there.

Johannes Raggam

: Johannes Raggam from Graz/Austria works most of the time with a technology stack based around Python, Plone, Pyramid and JavaScript.
  As an active Open Source / Free Software developer he believes in the power of collaborative work.

  He is a BlueDynamics Alliance Partner and Plone Core Contributor since 2009, a member of the Plone Framework Team since 2012 and Plone Foundation member.

Franco Pellegrini

: Franco Pellegrini is a software developer from Cordoba, Argentina.
  He started developing Plone in 2005 in a small software company, and as an independent contractor since 2011.
  He believes in free software philosophy, and so, he has been a Plone core developer since 2010 and Framework Team member since 2012.

Fred van Dijk

: Fred, from Rotterdam the Netherlands, has been exposed to Plone early on as a user.
  In 2007 he joined Zest Software to work on and with Plone and Python web apps full time.

  He can focus on the business side, helping users decide on which features are most valuable to develop or when to stick with standard functionality. He also gives training on using and administering the CMS.
  On the IT side he has plenty technical knowledge to work on code, system administration and do project management in a team of developers.

Leonardo Caballero

: Leonardo J. Caballero G. of Maracaibo, Venezuela, is a Technical Director at Covantec R.L. and Conectivo C.A.
  Leonardo maintains the Spanish translations of more than 49 Plone Add-ons as well as Spanish-language documentation for Plone itself.

  He has contributed several Plone Add-ons that are part of PloneGov.
  Currently serving the Plone Board as a Plone Ambassador, Leonardo has also served as an Advisory Board member
  and has spoken at or helped organize Plone and open-source events throughout South America.


## Optional topics without documentation

The following topics are not covered in the written training but could be discussed on demand.

- Users, authentication, member profiles, members as content

- ZODB, RelStorage


(intro-what-wont-happen-label)=

## Topics covered in other trainings and documentation

- Advanced Volto techniques in {doc}`/effective-volto/index`
- multilingual content
- {doc}`Internationalization of the frontend</effective-volto/development/i18n>`
- {doc}`Internationalization defined in the backend<plone6docs:i18n-l10n/index>`
- {doc}`/plone-deployment/index`


## License

The Mastering Plone Development training is licensed under a [Creative Commons Attribution 4.0 International License](https://creativecommons.org/licenses/by/4.0/).

## Using the documentation for a training

See the information for {doc}`teaching</teaching/index>`.

## Contributing

You are welcome to contribute. See {doc}`/contributing/index` for more info.
