---
myst:
  html_meta:
    "description": "The power of the Plone backend – best practice"
    "property=og:description": "The power of the Plone backend – best practice"
    "property=og:title": "Mastering Plone 6 Development"
    "keywords": "Plone, backend"
---

(mastering-plone-label)=

# Mastering Plone 6 development

*Mastering Plone Development* is intended as a training to learn proven practices of Plone development.
It's both, an online course and a sketch for an on-the-spot training.

The story of a conference platform provides a training of several development topics that can be split in two trainings:

- A beginner training (2 to 3 days) covering the essentials of Plone development.
- An advanced training (3 to 5 days) with additional advanced topics concerning the Plone backend.

```{note}
*Mastering Plone 6 Development Training* focuses on Plone backend architecture and topics of Volto development as long as the backend is involved.

We do not deal with pure Volto topics here.
For Volto development see training {doc}`/effective-volto/index`.

We expect you to work with the Plone React frontend (former called Volto).
Therefore we do not deal with Plone Classic topics here.
For Plone Classic see training {doc}`/theming/index`, training {doc}`/mastering-plone-5/index` and documentation {doc}`plone6docs:classic-ui/index`
```

```{toctree}
---
caption: Mastering Plone 6 Development
name: toc-mastering
maxdepth: 3
numbered: 2
---

about_mastering
intro
case
what_is_plone
installation
features
configuring_customizing
add-ons
extending
dexterity
dexterity_2_talk
dexterity_reference
volto_overrides
volto_talkview
volto_development
behaviors_1
volto_frontpage
api
events
registry
custom_search
volto_testing
thirdparty_behaviors
dexterity_3
upgrade_steps
volto_components_sponsors
volto_addon
volto_custom_addon
volto_custom_addon2
user_generated_content
relations
voting-story/index
deployment_code
code
trainer
```

Please note that this document is *not complete* without the spoken word of a trainer.

We attempt to include the most important parts of what we teach in the training. But reading it here can not be considered equal to attending a training.
