---
myst:
  html_meta:
    "description": "Volto Customization for JavaScript Beginners"
    "property=og:description": "Volto Customization for JavaScript Beginners"
    "property=og:title": "Volto Customization for JavaScript Beginners"
    "keywords": "Plone, Volto, Training"
---

(volto-customization-label)=

# Volto Customization for JavaScript Beginners

Are you new to JavaScript development and eager to explore the world of Volto customization? Unlock the power of Volto, the modern React-based CMS framework for Plone, by joining our comprehensive half day training designed specifically for JavaScript beginners.

Level
: Beginner

What You'll Learn:

: In this hands-on training, you will embark on a journey to master Volto customization from the ground up. Whether you're a developer looking to expand your skill set or someone entirely new to JavaScript, this course will provide you with the knowledge and tools to excel in Volto development. Here's what you can expect to learn:

- Introduction to Volto: Get acquainted with Volto's architecture, key concepts, and its role in modern web development.
- JavaScript Fundamentals: Build a strong foundation in JavaScript, covering essential topics like variables, functions, and data structures.
- React Essentials: Dive into React, the heart of Volto, and learn how to create dynamic user interfaces using React components.
- Customizing Volto: Explore the art of customizing Volto projects, from theming and styling to creating custom blocks.
- API Integration: Learn how to integrate external APIs into your Volto applications to add new functionalities.
- Building Blocks: Discover the building blocks of a Volto project, including new variations.
- Best Practices: Gain insights into industry best practices for efficient Volto development.

Who Should Attend:

: This training program is tailored for:

- JavaScript beginners looking to enter the world of Volto and React.
- Developers interested in extending their expertise to include Volto customization.

Prerequisites:

: No prior experience with Volto is required. However, a basic understanding of web development concepts and basic JavaScript knowledge will be beneficial.

```{toctree}
:caption: Volto Customization for JavaScript Beginners
:name: toc-voltocustomization
:maxdepth: 3
:numbered: true

intro
installation
voltosettings
custom_block
shadowing
blocks
schema
teaser_variations
data_adapters
styling
extending_teasers
listing_block

```

<!-- https://github.com/collective/volto-teaser-tutorial -->
