---
myst:
  html_meta:
    "description": "Introduction to the Volto Customization for JavaScript Beginners Training Documentation"
    "property=og:description": "Introduction to the Volto Customization for JavaScript Beginners Training Documentation"
    "property=og:title": "Volto Customization for JavaScript Beginners"
    "keywords": "Volto, Training, Beginners"
---

(volto4dummies-intro-label)=

# Introduction

Before we dive into the content, let's take a moment to get to know each other and ensure that this training meets your needs. This session is designed to equip you with the knowledge and skills necessary for Volto customization. Whether you're new to JavaScript or have some experience, we're here to support your growth.

## Who are you?

Please take a moment to briefly introduce yourself, sharing your name, your background in web development (if any), and what you hope to achieve or learn from this training. This will help us tailor the session to your needs and create a collaborative learning environment.

Additionally, if you have any specific questions, challenges, or expectations for this training, please feel free to share them with us. We want to ensure that your time here is both informative and valuable.

(volto4dummies-intro-what-will-we-do-label)=

## Prerequisites

Some technologies and tools we use during the training:

- React <a target="_blank" href="https://react.dev/">https://react.dev/</a>
- Yarn <a target="_blank" href="https://yarnpkg.com">https://yarnpkg.com</a>
- JSX
- Volto <a target="_blank" href="https://github.com/plone/volto">https://github.com/plone/volto</a>
- Volto Generator
- Plone 6!

Before we dive into the content of this training, I'd like to make a helpful suggestion. If you're new to Volto and React or feel like you could benefit from a refresher, it might be a great idea to <a target="_blank" href="https://www.youtube.com/playlist?list=PLGN9BI-OAQkTVkkJfSMHu-l-_AVW_uoRf">explore some existing Volto and React training resources</a> that can provide you with a solid foundation. These resources can serve as valuable supplements to what we'll cover here.

We have designed this training to be beginner-friendly, but having some prior exposure to these technologies can be advantageous. It will help you grasp the concepts more quickly and make the learning experience even more enjoyable.

Of course, if you're already familiar with Volto and React, that's fantastic, and you're well-prepared for this training. Regardless of your experience level, we're here to support your learning journey every step of the way.

(volto4dummies-intro-documentation-label)=

## Software requirements

To follow the training as smoothly as possible it is recommended that you have the following software installed on your computer:

- <a target="_blank" href="https://nodejs.org/en/">node.js</a> >= 16
- <a target="_blank" href="https://yarnpkg.com/getting-started/install">yarn</a>
- <a target="_blank" href="https://github.com/nvm-sh/nvm">node version manager</a>
- <a target="_blank" href="https://www.docker.com/get-started/">docker</a>
