---
myst:
  html_meta:
    "description": "Introduction to the Volto Hands-On Training Documentation"
    "property=og:description": "Introduction to the Volto Hands-On Training Documentation"
    "property=og:title": "Volto Handson Training"
    "keywords": "Volto, Training, Hands-On"
---

(voltohandson-intro-label)=

# Introduction

## Who are you?

Tell us about yourselves:

- Name, company, country...
- What is your Plone experience?
- What is your JavaScript experience?
- What are your expectations for this hands-on session?

(voltohandson-intro-what-will-we-do-label)=

## What will we do?

Some technologies and tools we use during the training:

- React <https://react.dev/>
- Yarn <https://yarnpkg.com>
- JSX
- Volto <https://github.com/plone/volto>
- Volto Generator
- Plone!

This training assumes that you have already taken (either in person at a Plone Conference or online) the existing React training.
However, we will be revisiting some of the basic React training concepts.

(voltohandson-intro-what-to-expect-label)=

## What to expect

At the end of this course you will know how to develop a Volto project from scratch to deployment.
Practice is the best way to learn to use developer tools and Volto helpers for building your site.
You will become familiar with Volto customization, theming, and how to get the most out of the Plone REST API.

(voltohandson-intro-documentation-label)=

## The hands-on exercise

The hands-on exercise will feature recreating the current [plone.org](https://plone.org) site using Volto.

We will be facing different challenges and we will be solving them, introducing or refreshing some of the concepts covered in the previous training classes.
We will cover the proper solution to each challenge and we will provide an overview of what to expect when developing for Volto.

## Software requirements

To follow the training as smoothly as possible it is recommended that you have the following software installed on your computer:

- [node.js](https://nodejs.org/en/) >= 16
- [yarn](https://yarnpkg.com/getting-started/install)
- [node version manager](https://github.com/nvm-sh/nvm)
- [docker](https://www.docker.com/get-started/)

